/* P4UPController */

#import <Cocoa/Cocoa.h>
#import "P4MenuController.h"

@class NGAActiveFileMonitor;
@class SS_PrefsController;


extern NSString * const DiffOptionName1;
extern NSString * const DiffOptionName2;
extern NSString * const DiffOptionUTIHint;

@interface P4MenuApplicationDelegate : NSResponder
{
@private
    P4MenuController *    _p4MenuController;

    NSArray * _diffTools; // Array of App Bundle IDs
    NSArray * _textualDiffTools; // Array of App Bundle IDs
    
    IBOutlet NSView     * _preferenceView;
    IBOutlet NSArrayController *textualDiffToolsController;
}

@property (nonatomic,readonly) NSWindow * statusBarWindow;
@property (nonatomic,readonly,copy) NSArray * diffTools;
@property (nonatomic,readonly,copy) NSArray * textualDiffTools;

-(IBAction)showPrefs:(id)sender;

-(BOOL)diffFileAtPath:(NSString*)path1 againstOlderFileAtPath:(NSString*)path2 options:(NSDictionary*)options;

@end
